gnutls_server_name_set(3)

NAME
gnutls_server_name_set - Used to set a name indicator to be sent as an extension

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_server_name_set(gnutls_session_t session, gnutls_server_name_type_t type, const void * name, size_t name_length);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_server_name_type_t type
    specifies the indicator type

const void * name
    is a string that contains the server name.

size_t name_length
    holds the length of name

DESCRIPTION
This function is to be used by clients that want to inform (via a TLS extension mechanism) the server of the name they connected to. This should be used by clients that connect to servers that do virtual hosting. The value of name depends on the ind type. In case of GNUTLS_NAME_DNS, an ASCII or UTF-8 null terminated string, without the trailing dot, is expected. IPv4 or IPv6 addresses are not permitted.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.